IvyPublishPlugin (Gradle API 2.14.1)

org.gradle.api.publish.ivy.plugins

## Class IvyPublishPlugin

- java.lang.Object
- - org.gradle.api.publish.ivy.plugins.IvyPublishPlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class IvyPublishPlugin
      extends Object
      implements Plugin<Project>

  Adds the ability to publish in the Ivy format to Ivy repositories.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IvyPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver, org.gradle.api.internal.file.FileCollectionFactory fileCollectionFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IvyPublishPlugin

          @Inject
          public IvyPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                 org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider,
                                 org.gradle.api.internal.file.FileResolver fileResolver,
                                 org.gradle.api.publish.internal.ProjectDependencyPublicationResolver projectDependencyResolver,
                                 org.gradle.api.internal.file.FileCollectionFactory fileCollectionFactory)

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object